Forex Convert API
Convert an amount between currencies at the latest spot—direct pair, inverse, or USD cross when needed.
curl -X GET "https://example.com/v2/forex/convert?from_currency=EUR&to_currency=USD&amount=100"{ "from_currency": "EUR", "to_currency": "USD", "amount": 100, "rate": 1.16277, "value": 116.277, "pair": "EURUSD", "via": null, "as_of": "2026-09-09 19:32:01.202"}Query Parameters
from_currency*ISO Currency
ISO 4217 code (USD, EUR, CAD). Case-insensitive. Latest warehouse spot; crosses that are not a listed pair convert via USD. See Forex.
Match
^[A-Za-z]{3,4}$Length
3 <= length <= 4to_currency*ISO Currency
ISO 4217 code (USD, EUR, CAD). Case-insensitive. Latest warehouse spot; crosses that are not a listed pair convert via USD. See Forex.
Match
^[A-Za-z]{3,4}$Length
3 <= length <= 4amount?number
Amount in from_currency. Default 1.
Default
1Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json